CREATE SCHEMA IF NOT EXISTS parabel ;

SET search_path TO parabel;

CREATE TABLE PARABEL(
	ID NUMERIC(5)       NOT NULL,
	P  DOUBLE PRECISION NOT NULL,
	Q  DOUBLE PRECISION NOT NULL,
	PRIMARY KEY(ID));

-- (x-1)(x-2): x^2 -3x + 2, Nullstellen 1 und 2
INSERT INTO PARABEL VALUES (1, -3, +2);

-- (x+1)(x+1) + 1: x^2 + 2x + 2: Keine Nullstellen
INSERT INTO PARABEL VALUES (2, +2, +2);

-- (x+1)(x+1): x^2 +2x + 1: Eine Nullstelle -1
INSERT INTO PARABEL VALUES (3, +2, +1);

-- (x-3)(x+4): x^2 + x - 12: Nullstellen +3, -4
INSERT INTO PARABEL VALUES (4, +1, -12);
commit;

GRANT USAGE ON SCHEMA parabel TO student;
GRANT SELECT ON ALL TABLES IN SCHEMA parabel to student;