CREATE SCHEMA IF NOT EXISTS resultate_public ;

SET search_path TO resultate_public;

-- Zwei alternative Darstellungen der Punkte fuer Hausaufgaben
-- sowie Zwischen- und Endklausur:

CREATE TABLE Resultate_1(
	STUDENT VARCHAR(20) NOT NULL,
	H       NUMERIC(3)  NOT NULL,
	Z       NUMERIC(3)  NOT NULL,
	E       NUMERIC(3)  NOT NULL,
	PRIMARY KEY(STUDENT)
);

INSERT INTO Resultate_1 VALUES ('Jim Ford',  95, 60, 75);
INSERT INTO Resultate_1 VALUES ('Ann Lloyd', 80, 90, 95);

CREATE TABLE Resultate_2(
	STUDENT VARCHAR(20) NOT NULL,
	ATYP    CHAR(1)     NOT NULL,
	PROZENT NUMERIC(3)  NOT NULL,
	PRIMARY KEY(STUDENT, ATYP)
);

INSERT INTO Resultate_2 VALUES('Jim Ford',  'H', 95);
INSERT INTO Resultate_2 VALUES('Jim Ford',  'Z', 60);
INSERT INTO Resultate_2 VALUES('Jim Ford',  'E', 75);
INSERT INTO Resultate_2 VALUES('Ann Lloyd', 'H', 80);
INSERT INTO Resultate_2 VALUES('Ann Lloyd', 'Z', 90);
INSERT INTO Resultate_2 VALUES('Ann Lloyd', 'E', 95);

GRANT USAGE ON SCHEMA resultate_public TO student;
GRANT SELECT ON ALL TABLES IN SCHEMA resultate_public to student;